Error al actualizar SILTRA 2.3.2

La instalación en RED muestra errores durante la instalación, si bien las rutas de que cada usuario se guardan en un fichero XML, es necesario ejecutarlo con un usuario con permisos suficientes.

En este caso para la actualización 2.3.2 en la que se indican como notas:

La nueva versión soluciona el problema que existía con la mecanización de jornadas reales para el año 2021

En realidad se vuelven a lanzar la instalación/copia de componentes, entre ellos… librerías de de Crystal Decision del año 2009, esta empresa fue comprada por Business Objects en 2003, que a su vez fue comprada por SAP en 2007… 12 años sin actualizaciones ni mejoras…

Después de desempaquetar el ejecutable y ver por encima que intentaba hacer… ¿la solución rápida? ejecutar de nuevo el instalador, y como las «nuevas rutas» mezcladas entre relativas y absolutas (SILTRA\RED\System\..\Crystal Decision) ya existen… no da fallo y da por actualizada la versión 2.3.1 a 2.3.2

Relacionado: SILTRA 2.2.0 error al procesar remesas INSS

SILTRA 2.2.0: Error al procesar remesas INSS

El software de la Seguridad Social muestra un error al intentar procesar las remesas: «Error 713 Error definido por la aplicación o el objeto frmAfilia.cmdSiguiente_Click» desde soporte indican que reinstalar soluciona el problema… no es así claro.

La solución pasa por instalar la versión de otro programa WinSuite32 indicando durante la instalación que si encuentra librerías más antiguas no deben sustituirse (Importante seleccionar «No a todo«) y resulta…

El problema es de base, una aplicación en Java que depende de librerías de PC que no se incluyen con la distribución del programa, incluso sacan un parche para sustituir ejecutables con el mismo número de versión… 

Encontrar librerías de Visual Basic 5, OCX de más de 10 años… dentro del programa no es muy alentador…

gestores.configuracion.Gestor_Configuracion : validarVersionesWinsuite : Version Modulo WsAfilia: 6.2.0
gestores.configuracion.Gestor_Configuracion : validarVersionesWinsuite : Version Modulo WsINSS: 5.0.0
gestores.configuracion.Gestor_Configuracion : validarVersionesWinsuite : Version Modulo WsImpresion: 6.2.0
gestores.configuracion.Gestor_Configuracion : validarVersionesWinsuite : Version SILTRA WsAfilia: 6.2.0
gestores.configuracion.Gestor_Configuracion : validarVersionesWinsuite : Version SILTRA WsINSS: 5.0.0
gestores.configuracion.Gestor_Configuracion : validarVersionesWinsuite : Version SILTRA WsImpresion: 6.2.0

El nivel de desarrollo de aplicaciones en la administración pública no da mucha confianza…